@testset "FACTDataREader FACT_elevation test" begin
    df1 = get_geo_objects("nm_counties")
    resize!(df1, 1)
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
    )
    # TEST of counties
    df_counties = get_elevation_data("elevation_data_full", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 1
    @test size(df_counties, 2) == 7
end
